Robotsystem from Robot Group Leipzig: AbstractCompoundComponent Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# AbstractCompoundComponent Class Reference

`#include <component.h>`

Inheritance diagram for AbstractCompoundComponent:

[legend]
Collaboration diagram for AbstractCompoundComponent:

[legend]
List of all members.

## Detailed Description

AbstractCompoundComponent.

Definition at line 200 of file component.h.

## Public Member Functions
| AbstractCompoundComponent (OdeHandle &r_ode_handle)
virtual | ~AbstractCompoundComponent ()
virtual unsigned | get_sub_component_count () const
virtual IComponent & | get_sub_component (unsigned index) const
virtual unsigned | expose_wires (WireContainer &r_wire_set)
virtual const IComponent * | does_contain_geom (const dGeomID geom_id, bool b_recursive) const
virtual void | draw () const
virtual paramlist | getParamList () const
| The list of all parameters with there value as allocated lists.
virtual paramval | getParam (const paramkey &key) const
virtual bool | setParam (const paramkey &key, paramval val)
## Protected Attributes
ComponentContainer | component_container

## Constructor & Destructor Documentation

AbstractCompoundComponent | ( | OdeHandle & | r_ode_handle | ) |

virtual ~AbstractCompoundComponent | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual const IComponent* does_contain_geom | ( | const dGeomID | geom_id,
|  | bool | b_recursive
| ) | const`[virtual]`

| Reimplemented from AbstractComponent. Reimplemented in CCURobotArmComponent.

virtual void draw | ( |  | ) | const`[virtual]`

| Implements IComponent. Reimplemented in CCURobotArmComponent.

virtual unsigned expose_wires | ( | WireContainer & | r_wire_set | ) | `[virtual]`

| Reimplemented from AbstractComponent.

virtual IComponent& get_sub_component | ( | unsigned | index | ) | const`[virtual]`

| Reimplemented from AbstractComponent.

virtual unsigned get_sub_component_count | ( |  | ) | const`[virtual]`

| Reimplemented from AbstractComponent.

virtual paramval getParam | ( | const paramkey & | key | ) | const`[virtual]`

| Reimplemented from AbstractComponent.

virtual paramlist getParamList | ( |  | ) | const`[virtual]`

| The list of all parameters with there value as allocated lists. Returns: list of key-value pairs Reimplemented from AbstractComponent.

virtual bool setParam | ( | const paramkey & | key,
|  | paramval | val
| ) | `[virtual]`

| Reimplemented from AbstractComponent.

## Member Data Documentation

ComponentContainer component_container`[protected]`

| Definition at line 202 of file component.h.